Skip to main content

Instance Organization Invite Actions

https://api.losant.com/instances/INSTANCE_ID/orgs/ORG_ID/invites/INVITE_ID

Below are the various requests that can be performed against the Instance Organization Invite resource, as well as the expected parameters and the potential responses.

Delete​

Revokes an instance org invitation

Method And Url​

DELETE https://api.losant.com/instances/INSTANCE_ID/orgs/ORG_ID/invites/INVITE_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.User, instanceOrgInvite.*, or instanceOrgInvite.delete.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a95
ORG_IDID associated with the organization575ec8687ae143cd83dc4a97
INVITE_IDID associated with the organization invite575ec8687ae143cd83dc4a94

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/instances/INSTANCE_ID/orgs/ORG_ID/invites/INVITE_ID

Successful Responses​

CodeTypeDescription
200SuccessIf an invite was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance, organization or invite was not found

Get​

Returns an organization invite

Method And Url​

GET https://api.losant.com/instances/INSTANCE_ID/orgs/ORG_ID/invites/INVITE_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.Instance.read, all.User, all.User.bounded, all.User.read, instanceOrgInvite.*, or instanceOrgInvite.get.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a95
ORG_IDID associated with the organization575ec8687ae143cd83dc4a97
INVITE_IDID associated with the organization invite575ec8687ae143cd83dc4a94

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/instances/INSTANCE_ID/orgs/ORG_ID/invites/INVITE_ID

Successful Responses​

CodeTypeDescription
200Instance Organization InvitationA single organization invite

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance, organization, or invite was not found

Resend Invite​

Resend an organization invite with modified role info

Method And Url​

POST https://api.losant.com/instances/INSTANCE_ID/orgs/ORG_ID/invites/INVITE_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.User, instanceOrgInvite.*, or instanceOrgInvite.resendInvite.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a95
ORG_IDID associated with the organization575ec8687ae143cd83dc4a97
INVITE_IDID associated with the organization invite575ec8687ae143cd83dc4a94

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Organization Role Info schema. For example, the following would be a valid body for this request:

{
"role": "view"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"role":"view"}' \
https://api.losant.com/instances/INSTANCE_ID/orgs/ORG_ID/invites/INVITE_ID

Successful Responses​

CodeTypeDescription
201Instance Organization InvitationThe new org invite

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if instance, organization, or invite was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Instance Organization Invitation​

        Schema for a pending invitation to an Organization within an instance

        Instance Organization Invitation Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 12 keys
            • ▶
              {} 2 keys
              • ▶
                {} 3 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 3 keys
                    • ▶
                      {} 3 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 1 key
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys

                                Instance Organization Invitation Example​

                                • ▶
                                  {} 12 keys
                                  • "575ec8687ae143cd83dc4a97"
                                  • "test@example.com"
                                  • "admin"
                                  • [] 0 items
                                    • [] 0 items
                                      • "2016-06-13T04:00:00.000Z"
                                      • 604800000
                                      • false
                                      • false
                                      • "575ec8687ae143cd83dc4a97"
                                      • "575ec8687ae143cd83dc4a98"
                                      • "575ec8687ae143cd83dc4a99"

                                    Organization Role Info​

                                    Schema for an Organization member's role info

                                    Organization Role Info Schema​

                                    • ▶
                                      {} 4 keys
                                      • "http://json-schema.org/draft-07/schema#"
                                      • "object"
                                      • ▶
                                        {} 3 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 3 keys
                                            • ▶
                                              {} 3 keys
                                            • false

                                          Organization Role Info Example​

                                          • ▶
                                            {} 1 key
                                            • "view"

                                          Success​

                                          Schema for reporting a successful operation

                                          Success Schema​

                                          • ▶
                                            {} 3 keys
                                            • "http://json-schema.org/draft-07/schema#"
                                            • "object"
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 2 keys

                                            Success Example​

                                            • ▶
                                              {} 1 key
                                              • true

                                            Was this page helpful?


                                            Still looking for help? You can also search the Losant Forums or submit your question there.